---
title: Giving a Gift
slug: world-sdk-guide/giving-a-gift
docTags: 
createdAt: 2024-09-03T12:42:22.081Z
---

You can deduct your ZEPETO ZEMs or ZEPETO Coins to provide them as ZEPETO gift items to other ZEPETO users.

However, this feature will be available only when the sender has created the ZEPETO account at least 30 days before sending the gift.

:::ApiMethodV2
```json
{
  "name": "Giving a gift to the player",
  "method": "POST",
  "url": "https://openapi.zepeto.zone/operation/v1/gift/send",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "oCyJWlO6S5X9_NcroNs8R",
        "language": "shell",
        "code": "curl --request POST \\\n     --url https://openapi.zepeto.zone/operation/v1/gift/send \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "oCyJWlO6S5X9_NcroNs8R"
  },
  "results": {
    "languages": [
      {
        "id": "UGC4ZIkJ7akjNH_3kMLDu",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"coin\": 0,\n  \"zem\": 0,\n  \"totalBuyCoin\": 0,\n  \"totalBuyZem\": 0\n}"
      },
      {
        "id": "vjhmTOKhwJ4g7neNszYqF",
        "language": "500",
        "customLabel": "",
        "code": "{\n      \"message\": \"Error message\"\n}"
      }
    ],
    "selectedLanguageId": "vjhmTOKhwJ4g7neNszYqF"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "itemId",
        "kind": "optional",
        "type": "string",
        "description": "Item ID"
      },
      {
        "name": "message",
        "kind": "optional",
        "type": "string",
        "description": "Message\n- Up to 80 characters",
        "children": []
      },
      {
        "name": "receiver",
        "kind": "optional",
        "type": "string",
        "description": "Receiver\n- userId or zepetoId",
        "children": []
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "response": [
    {
      "name": "coin",
      "kind": "optional",
      "type": "Number",
      "description": "Coin balance",
      "children": []
    },
    {
      "name": "zem",
      "kind": "optional",
      "type": "Number",
      "description": "Zem balance",
      "children": []
    },
    {
      "name": "totalBuyCoin",
      "kind": "optional",
      "type": "Number",
      "description": "Spent Coin",
      "children": []
    },
    {
      "name": "totalBuyZem",
      "kind": "optional",
      "type": "Number",
      "description": "Spent Zem",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "giving-a-gift-to-the-player",
  "legacyHash": "pEY8cjj8iBkmq8ZtatSmQ"
}
```
:::

